org.apache.jmeter.gui.action.template

## Class TemplateManager.LoggingErrorHandler

- java.lang.Object
- - org.apache.jmeter.gui.action.template.TemplateManager.LoggingErrorHandler

All Implemented Interfaces:
  ErrorHandler

Enclosing class:
  TemplateManager

    public static final class TemplateManager.LoggingErrorHandler
    extends Object
    implements ErrorHandler

### Constructor Summary

Constructors
Constructor and Description
`LoggingErrorHandler(org.slf4j.Logger logger, File file)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `error(SAXParseException ex)`
`void` `fatalError(SAXParseException ex)`
`void` `warning(SAXParseException ex)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LoggingErrorHandler

    public LoggingErrorHandler(org.slf4j.Logger logger,
                               File file)

### Method Detail

#### error

    public void error(SAXParseException ex)
               throws SAXException

Specified by:
  `error` in interface `ErrorHandler`
Throws:
  `SAXException`

#### fatalError

    public void fatalError(SAXParseException ex)
                    throws SAXException

Specified by:
  `fatalError` in interface `ErrorHandler`
Throws:
  `SAXException`

#### warning

    public void warning(SAXParseException ex)
                 throws SAXException

Specified by:
  `warning` in interface `ErrorHandler`
Throws:
  `SAXException`